
ChiliProject - Task # 61: First release version

Status: Closed Priority: Normal
Author: Eric Davis Category:
Created: 2011-01-13 Assignee:
Updated: 2011-02-01 Due date:
Remote issue URL:
Description: What version number should we use for the first release?

I'm thinking 1.1.0 since that is what Redmine just released and it will let plugins sync up to that point for their 
own dependencies.

Associated revisions
2011-04-17 01:11 am - Toshi MARUYAMA
i18n: fix typo general_pdf_encoding "UFT-8" in sl.yml (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5233 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: update rfpdf (#61).

https://github.com/edwinmoss/rfpdf
revision a04724b4af95c15a99675b34e353c15534d20411

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5247 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: add missing rfpdf requires (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5248 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r287 (#61).

Fix for #9.
Export feature(to csv/pdf) doesn't work in Japanese
csv and pdf encoding are know defined for each language
(general_csv_encoding and general_pdf_encoding keys in lang files)
added SJIS font for japanese pdf exports.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5249 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r393 (#61).

Added chinese simplified translation (Andy Wu)
Fixed rfpdf chinese.rb

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5250 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r3389 (#61).
Korean support for PDF export (#4639).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5251 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r1497 (#61).

Fixes Chinese pdf export when the issue description is too long (#1170).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5252 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r5183 (#61).

Fix an internal server error on formatting an issue as a PDF in Japanese (#7794).

Contributed by Yuki Sonoda.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5253 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: transplant r4602 (#61).

Ruby1.9 compatibility.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5254 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: comment out memoizes (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5255 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: import CJK patches (#61).

Contributed by Jun NAITOH.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5256 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: comment out Mime pdf in vendor/plugins/rfpdf/init.rb (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5257 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: prepare switching TCPDF UTF-8 in non CJK or FPDF ANSI in CJK (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5258 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: switch TCPDF UTF-8 or FPDF ANSI (#61).

If server is Windows or language is CJK or Thai, Redmine uses FPDF.
Else Redmine uses TCPDF.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5259 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:11 am - Toshi MARUYAMA
PDF: fix syntax errors at vendor/plugins/rfpdf/lib/tcpdf.rb on Ruby 1.9 (#61).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5267 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:13 am - Toshi MARUYAMA
PDF: back out r5253 (#7794, #61).

r5256 fixed #7794 completely.
r5253 effects the width of the ASCII character of Japanese PDF.

Contributed by Jun NAITOH.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5281 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:13 am - Toshi MARUYAMA
PDF: fix the problem that TCPDF built-in font breaks in the Windows (#61).

This problem occurs because the EOF character string is included in the built-in font.

Contributed by Jun NAITOH.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5290 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:13 am - Toshi MARUYAMA
PDF: set enable to use TCPDF UTF-8 on Windows except CJK and Thai (#61).

Contributed by Jun NAITOH.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5291 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-17 01:13 am - Toshi MARUYAMA
PDF: fix width calculation of multi byte character in Simplified and Traditional Chinese (#61).

Contributed by Jun NAITOH.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@5295 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-01-13 04:43 pm - Felix Schäfer
Good for me, in essence 1.1.0 would be a "reviewed" redmine-1.1.0 then, and starting 1.2.0 we go our own way?

2011-01-13 05:09 pm - Eric Davis
Yea, that's my thought.  It would give plugin/theme developers 6 months or so to switch over (1.1.x series) and we can start making some backwards 
incompatible changes for 1.2.x.

2011-02-01 08:38 pm - Holger Just
- Target version set to Public Launch

2020-10-25 3/4



- Status set to Closed

The first release is version#4.
